<?php
//define('SF_ROOT_DIR', "C:\\wamp\\www\\santarosa");
define('SF_ROOT_DIR', "/home/akicredito/public_html/akistah");



require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_autoload.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');



use_helper('UrlFunctions');
use_helper('UtilFunctions');
$con = Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit("no conecto");
}
/*
Retorna el objeto 
*/
$noDomingos = 1;

echo "-----------------------------";
// Buscar si el dia esta cerrado cada 10 minutos 

$con = Conexion::getConexion();

$fechaActual = date('Y-m-d');
//$fechaActual = "2023-03-06";
//$fechaActual = '2019-10-29';

//$fechaActual = date('Y-m-d',strtotime($fechaActual. "-1 days"));
      
//Busco los pagos del prestamo
$sql = "SELECT IdSucursal,FechaCierre
		FROM cr_balance_dia
		WHERE FechaCierre = '".$fechaActual."'
		";
echo $sql;
$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);

$num_rows = mysql_num_rows($result);
if($num_rows>0){
	while ($o_valor = mysql_fetch_object($result)) {
		
		$IdSucursal = $o_valor->IdSucursal;
		$fechaDiaAbierto = $o_valor->FechaCierre;
				
		
		$a_prestamos = obtenerPagos(" and pr.eliminado = '0' and suc.idsucursal =".$IdSucursal ," limit 0,1 ");
		
		if(!is_array($a_prestamos)){
			continue;
		}
		
		foreach ($a_prestamos as $idPrestamo => $valor){
		
			$sql = "SELECT *
					FROM cr_categoria_prestamolog
					WHERE 1 = 1 
					AND fecha ='".$fechaActual."'
					AND idPrestamo = '".$idPrestamo."'
					$where
					";
		      echo $sql;
		    $result2 = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		    
		    $num_rows2 = mysql_num_rows($result2);
		    if($num_rows2>0){
		    	continue;
		    }		
		}
		
		$a_prestamos = obtenerPagos(" and pr.eliminado = '0' and suc.idsucursal =".$IdSucursal." and  pa.FechaPago <= '".$fechaDiaAbierto."' and pr.estado='P'");
		 				
  		
  		foreach ($a_prestamos as $idPrestamo => $valor){
			// Agregado para ingreso de Pagos
			$a_valores = explode("||",$valor);
			$fechaVencimiento = $a_valores[0];
			$PeriodicidadPago = $a_valores[1];
			$MontoPago		  = $a_valores[2];
			
			if($MontoPago > 0){
				procesoCalculoPagoCuota($idPrestamo);
			}
			
			$numeroImpagos = (int)conteoImpagosPrestamo($idPrestamo,$fechaDiaAbierto,$fechaVencimiento,$PeriodicidadPago);
			echo $idPrestamo." - ".$numeroImpagos."<br>";
			categorizarPrestamo($idPrestamo,$fechaDiaAbierto,$numeroImpagos);
			depurarCuotaPrestamo($idPrestamo,$fechaVencimiento);
		}
  		
  		
	}
	cerrarCalculoPagosCero($fechaActual);
}


function obtenerPagos($where='',$limit=''){
	$con = Conexion::getConexion();
    
	//Busco los pagos del prestamo
	$sql = "SELECT pa.IdPrestamo,pa.IdPago,pr.fechaVencimiento,pr.PeriodicidadPago,pa.MontoPago
			FROM cr_pago pa
			LEFT JOIN cr_prestamo pr on pa.idprestamo= pr.idprestamo
			LEFT JOIN cr_cliente cli ON cli.idcliente = pr.idcliente
			LEFT JOIN cr_mercado mer ON cli.idmercado = mer.idmercado
			LEFT JOIN cr_sucursal_mercado sucmer ON sucmer.idmercado = mer.idmercado
			LEFT JOIN cr_sucursal suc ON sucmer.idsucursal = suc.idsucursal
			WHERE 1 = 1 and calculado='-1' 
			$where
			$limit
			";
      echo $sql;
     // exit;
    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
    
    $num_rows = mysql_num_rows($result);
    if($num_rows>0){
    	while ($o_valor = mysql_fetch_object($result)) {
      		$IdPrestamo = $o_valor->IdPrestamo;
      		$IdPago		= $o_valor->IdPago;
      		$fechaVencimiento = $o_valor->fechaVencimiento;
      		$PeriodicidadPago = $o_valor->PeriodicidadPago;
			$MontoPago 		  = $o_valor->MontoPago;
      		$a_prestamos[$IdPrestamo] = $fechaVencimiento."||".$PeriodicidadPago."||".$MontoPago;
    	}
    	
    }
    return $a_prestamos;
}




exit;




